
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 制定任务区域
    /// </summary>
    [Description("制定任务区域")]
    public class T_BS_PLAN_SET_AREA : MesEntityBase
    {
        /// <summary>
        /// 制定任务
        /// </summary>
        [Description("制定任务")]
        [DataFieldForeignKey("Nav_PlanSet", "Nav_ListArea")]
        public Guid PLANSET_ID { get; set; }

        /// <summary>
        /// 导航：制定任务
        /// </summary>
        [Description("导航：制定任务")]
        public virtual T_BS_PLAN_SET Nav_PlanSet { get; set; }


        /// <summary>
        /// 检查区域
        /// </summary>
        [Description("检查区域")]
        [DataFieldForeignKey("Nav_Area")]
        public Guid AREA_ID { get; set; }

        /// <summary>
        /// 检查区域
        /// </summary>
        [Description("检查区域")]
        public virtual HM.T_HM_RISK_AREA Nav_Area { get; set; }

    }
}